using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YoseenPTZ.ResourceDef
{
    static class LogUtil
    {
        public static readonly log4net.ILog _uiLogger = log4net.LogManager.GetLogger("uiLogger");
        public static readonly log4net.ILog _deviceLogger = log4net.LogManager.GetLogger("deviceLogger");

        public static void Info(string format, params object[] args)
        {
            _uiLogger.InfoFormat(format, args);
        }

        public static void Error(string format, params object[] args)
        {
            _uiLogger.ErrorFormat(format, args);
        }

        public static void DeviceInfo(string format, params object[] args)
        {
            _deviceLogger.InfoFormat(format, args);
        }
    }
}
